package com.xkrs.websocket.controller.websocketbroker;

import com.xkrs.websocket.websocket.ClientServerMessage;
import com.xkrs.websocket.websocket.ServerClientMessage;
import org.springframework.messaging.handler.annotation.MessageMapping;
import org.springframework.messaging.handler.annotation.SendTo;
import org.springframework.stereotype.Controller;

/**
 * @author xkrs
 */
@Controller
public class WebSocketBrokerController {

    @MessageMapping("/hello")
    @SendTo("/ws/getResponse")
    public ServerClientMessage say(ClientServerMessage message) throws InterruptedException {
        Thread.sleep(3000);
        return new ServerClientMessage("hello," + message.getName() + "!");
    }
}
